# Deep_learning_for_LandUse_Classification
**Summary**:

In this project, in order to classify land use of satellite images, I used the UC Merced Land-use dataset, which include 21 land use classes, for this porpuse.
Each class consist of 100 images including:

1- agricultural

2- airplane

3- baseballdiamond

4- beach

5- buildings

6- chaparral

7- denseresidential

8- forest

9- freeway

10- golfcourse

11- harbor

12- intersection

13- mediumresidential

14- mobilehomepark

15- overpass

16- parkinglot

17- river

18- runway

19- sparseresidential

20- storagetanks

21- tenniscourt

Each image 256x256 pixels. The images were manually extracted from large images from the USGS National Map Urban Area Imagery collection for various urban areas in the US. The pixes resolution of the images is 1 foot.


**Dataset**:

The UC Merced LandUse dataset is availabe here: http://weegee.vision.ucmerced.edu/datasets/landuse.html

**Reference:**

Yi Yang and Shawn Newsam, "Bag-Of-Visual-Words and Spatial Extensions for Land-Use Classification," ACM SIGSPATIAL International Conference on Advances in Geographic Information Systems (ACM GIS), 2010.